using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Projekt
{
    /// <summary>
    /// statische Klasse mit member, welche oft wiederverwendet werden.
    /// </summary>
    static class StaticCollect
    {
        static Hero held = new Hero();
        
        public static Hero Held //statischer Held auf den immer zugegriffen wird
        {
            get { return StaticCollect.held; }
            set {StaticCollect.held = value; }
        }

        static Mesh currentmesh = new Mesh();

        public static Mesh Currentmesh
        {
            get { return StaticCollect.currentmesh; }
            set { StaticCollect.currentmesh = value; }
        }
        

        public enum EXPOSITION //exposition
        {
            north,
            south,
            west,
            east,
            doornorth,
            doorsouth,
            box
        };

        public static void LoadMesh()
        {
            currentmesh = currentmesh.MeshQuickLoad(Held.CoordinateX, Held.CoordinateY);
        }

        public static bool MeshExists()
        {
            return currentmesh.MeshExists(currentmesh.CoordinateX, currentmesh.CoordinateY);
        }

        static Fight fight = new Fight();

        public static Fight Fight
        {
            get { return StaticCollect.fight; }
            set { StaticCollect.fight = value; }
        }

        

    }
}
